Summary:        windows interface for the ClustalW multiple sequence alignment program
Name:		clustalx
Version:	2.1
Release:	%mkrel 18
License:	GPLv3+ and LGPLv3+
Group:		Sciences/Biology
URL:		http://www.clustal.org/clustal2/
Source0:	http://www.clustal.org/download/%{version}/%{name}-%{version}.tar.gz
Source1:	clustalx.1
Patch0:		clustalx-2.1-qt5.patch
Requires:       clustalw
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)

%description
Clustal X is a new windows interface for the ClustalW multiple sequence
alignment program. It provides an integrated environment for performing
multiple sequence and profile alignments and analysing the results. The
sequence alignment is displayed in a window on the screen. A versatile coloring
scheme has been incorporated allowing you to highlight conserved features in
the alignment. The pull-down menus at the top of the window allow you to select
all the options required for traditional multiple sequence and profile
alignment.

%files
%doc COPYING COPYING.LESSER README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1.*

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%qmake_qt5
%make_build

%install
%__mkdir -p %{buildroot}%{_datadir}/%{name}
cp -a colprot.xml coldna.xml colprint.xml clustalx.hlp %{name} %{buildroot}%{_datadir}/%{name}/

%__mkdir -p %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/sh
%{_datadir}/%{name}/%{name} &
EOF
chmod 755 %{buildroot}%{_bindir}/%{name}

# desktopfile
%__install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
GenericName=%{name}
Comment=windows interface for the ClustalW multiple sequence alignment program
Exec=%{name}
Icon=biology_section
Terminal=false
Type=Application
Categories=Science;Biology;Qt;
EOF

# manpage
%__install -D -p -m644 %{SOURCE1} %{buildroot}%{_mandir}/man1/%{name}.1


%changelog
* Wed Dec 16 2020 umeabot <umeabot> 2.1-18.mga8
+ Revision: 1658266
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 2.1-17.mga8
+ Revision: 1524418
- Mageia 8 Mass Rebuild

* Sat Mar 30 2019 umeabot <umeabot> 2.1-16.mga7
+ Revision: 1381441
- Qt5 Rebuild

* Sat Sep 22 2018 umeabot <umeabot> 2.1-15.mga7
+ Revision: 1296593
- Mageia 7 Mass Rebuild

* Thu May 17 2018 daviddavid <daviddavid> 2.1-14.mga7
+ Revision: 1230042
- fix URL and Source URL (thanks to Charles A Edwards)

* Thu May 17 2018 daviddavid <daviddavid> 2.1-13.mga7
+ Revision: 1230032
- port to Qt5
- add a manpage

* Mon Feb 08 2016 umeabot <umeabot> 2.1-12.mga6
+ Revision: 942829
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.1-11.mga5
+ Revision: 749944
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1-10.mga5
+ Revision: 678438
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.1-9.mga4
+ Revision: 503364
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.1-8.mga3
+ Revision: 347917
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ dmorgan <dmorgan>
- Fix groups ( mga #3681)

* Wed Jul 13 2011 ahmad <ahmad> 2.1-6.mga2
+ Revision: 123847
- Fix categories, so that it shows up in only one menu

* Tue Jul 12 2011 ahmad <ahmad> 2.1-5.mga2
+ Revision: 122832
- Correct the License tag
- Use a shell script in %%{_bindir} to launch it, symlinking it makes complain
  about some files in %%{_datadir}/%%{name}
- Use the Biology Category for the .desktop file

* Mon Jul 11 2011 ahmad <ahmad> 2.1-4.mga2
+ Revision: 122149
- Fix the .desktop file name in the files list
- Fix the location of the .desktop file
- Fix the /usr/bin/clustalx symlink
- Fix the description wrapping

* Fri May 13 2011 dmorgan <dmorgan> 2.1-3.mga1
+ Revision: 97893
- Fix BR
- Fix macro
- Fix requires
- imported package clustalx

